package com.bzd.system.service.jkgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 慢病权益信息表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SJkglMbglQyglBenefitinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSJkglMbglQyglBenefitinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglMbglQyglBenefitinfoMapper.addSJkglMbglQyglBenefitinfo", pd);
    }

    public List<PageData> findSJkglMbglQyglBenefitinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SJkglMbglQyglBenefitinfoMapper.selectSJkglMbglQyglBenefitinfoList", pd);
    }

    public Integer SJkglMbglQyglBenefitinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SJkglMbglQyglBenefitinfoMapper.SJkglMbglQyglBenefitinfoRemove", pd);
    }


    public Integer updateSJkglMbglQyglBenefitinfo(PageData pd)throws Exception {
        return daoSupport.update("SJkglMbglQyglBenefitinfoMapper.updateSJkglMbglQyglBenefitinfo", pd);
    }

}
